Idiot Test Part 6

By miguel0914 :: Saturday February 9th, 2008

This game requires the Adobe Flash Player.

Enable Flash

make a game

A more advanced Idiot Test. But dont worry, all my Idiot Tests have a solution to it. Dont be too stupid trying to figure this out.

 

More games by miguel0914